public class PhysicsLab {
   public static void main(String[] args) {
      float deltaTime = Float.parseFloat(args[0]);    // [s]
      float endTime = Float.parseFloat(args[1]);      // [s]
      float samplingTime = Float.parseFloat(args[2]); // [s]
      Vector2D gravity = new Vector2D(0,0); // [m/s^2]
      MyWorld world = new MyWorld(System.out);
      world.setGravity(gravity);
      float viscosity = 0.0001f;  // no friction [kg/(m*s)]
      world.setViscosity(viscosity);
      
      float mass = 1.0f;  /* 1 [kg] */
      float radius = 0.1f;  /* 5 [cm] */
      /*
       * Inicialización de los Vectores posición y velocidad.
       */
      Vector2D position1 = new Vector2D(1, 3); // Posición de la bola1
      Vector2D position2 = new Vector2D(2, 3.5f); // Posición de la bola2
      Vector2D position3 = new Vector2D(2.2f, 1); // Posición de la bola2
      Vector2D speed = new Vector2D(0.4f, 0.6f); // Vector velocidad
      Vector2D wall_posx1 = new Vector2D(0,0); // Posicion de la muralla x1
      Vector2D wall_posx2 = new Vector2D(5,0); // Posicion de la muralla x2
      Vector2D wall_posy1 = new Vector2D(0,0); // Posicion de la muralla y1
      Vector2D wall_posy2 = new Vector2D(0,4); // Posicion de la muralla y2

      /*
       * Creación de los elementos fisicos que interectuarán en el "mundo".
       */
      new Ball(mass, radius, position1, speed, world); 
      new Ball(mass/2, radius, position2, speed.getNegative(), world);
      new Ball(mass/2, radius, position3, speed.getPerpendicular(), world);
      new Wall('x', wall_posx1, world);
      new Wall('x', wall_posx2, world);
      new Wall('y', wall_posy1, world);
      new Wall('y', wall_posy2, world);

      /*
       * Comienzo de la simulación.
       */
      world.simulate(deltaTime, endTime, samplingTime); // delta time[s], total simulation time [s].
   }
}
